
#ifndef ARMYSTUPID_H
#define ARMYSTUPID_H


#include <map>
#include <vector>
#include "Army.h"
#include "EnnemyUnit.h"

#include "MemoryManager/DebugNew.h"

class ArmyStupid : public Army
{
private:

	/**
	*
	*/
	Army* ennemyArmy;

	std::map<Unit*,EnnemyUnit*> ennemies;
	int updateCounter;

public:
	ArmyStupid(std::string& color);
	virtual ~ArmyStupid();

	/**
	* Update de l'IA
	*/
	virtual void updateAI();

	/**
	* Update des unités(déplacement...)
	*/
	virtual void updateUnit();

	/**
	*
	*/
	void setEnnemyArmy(Army* ea);
};

#include "MemoryManager/DebugNewOff.h"

#endif
